GLSA-200701-20 : Centericq: Remote buffer overflow in LiveJournal handling

High Nessus Plugin ID 24256


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200701-20 (Centericq: Remote buffer overflow in LiveJournal handling)

When interfacing with the LiveJournal service, Centericq does not appropriately allocate memory for incoming data, in some cases creating a buffer overflow.
Impact :

An attacker could entice a user to connect to an unofficial LiveJournal server causing Centericq to read specially crafted data from the server, which could lead to the execution of arbitrary code with the rights of the user running Centericq.
Workaround :

There is no known workaround at this time.


Currently, Centericq is unmaintained. As such, Centericq has been masked in Portage until it is again maintained.
# emerge --ask --verbose --unmerge 'net-im/centericq'

See Also

Plugin Details

Severity: High

ID: 24256

File Name: gentoo_GLSA-200701-20.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2007/01/26

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:centericq, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Patch Publication Date: 2007/01/24

Vulnerability Publication Date: 2007/01/08

Reference Information

CVE: CVE-2007-0160

OSVDB: 33408

GLSA: 200701-20

CWE: 119